<?php

namespace App\Entities\PagSeguro\Order;

use App\Utils\Entity;

class PagSeguroCharges extends Entity {
	protected $refernce_id;
	protected $description;
	protected $amount;
//	protected $payment_method;

	public static function builder(): PagSeguroChargesBuilder {

		return new PagSeguroChargesBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getRefernceId() {

		return $this->refernce_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDescription() {

		return $this->description;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getAmount() {

		return $this->amount;

	}

	/**
	 *
	 * @return mixed
	 */
// 	public function getPaymentMethod() {

// 		return $this->payment_method;

// 	}

	/**
	 *
	 * @param mixed $refernce_id
	 */
	public function setRefernceId($refernce_id) {

		$this->refernce_id = $refernce_id;

	}

	/**
	 *
	 * @param mixed $description
	 */
	public function setDescription($description) {

		$this->description = $description;

	}

	/**
	 *
	 * @param mixed $amount
	 */
	public function setAmount(PagSeguroAmount $amount) {

		$this->amount = $amount;

	}

	/**
	 *
	 * @param mixed $payment_method
	 */
// 	public function setPaymentMethod(PagSeguroPaymentMethod $payment_method) {

// 		$this->payment_method = $payment_method;

// 	}

}

